V1.0
get
/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/count
Retrieve the subject count summary for a study. Includes totals for new, active, withdrawn, enrolled, screened, failed, completed subjects.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subject count summary successfully retrieved.
Root Schema : SubjectCountResponseDto
Type:
objectAggregate subject counts summary (total, active, withdrawn, enrolled, screened, failed, completed, new)
Show Source
-
activeSubjects: integer
(int32)
Number of currently active subjectsExample:
160 -
completedSubjects: integer
(int32)
Number of subjects who completed the studyExample:
23 -
enrolledSubjects: integer
(int32)
Number of subjects who have been enrolledExample:
89 -
newSubjects: integer
(int32)
Number of newly added subjectsExample:
12 -
screendSubjects: integer
(int32)
Number of subjects who have been screenedExample:
180 -
screenFailedSubjects: integer
(int32)
Number of subjects who failed screeningExample:
4 -
totalSubjects: integer
(int32)
Total number of subjectsExample:
200 -
withdrwanSubjects: integer
(int32)
Number of subjects withdrawn from the studyExample:
5
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.